Bug 1314819 - evolution-source-registry eating CPU
evolution-source-registry eating CPU
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 10:38 EST by Jan Niklas Hasse
Modified: 2016-12-20 14:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:15:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pstack of evolution-source-registry (4.05 KB, text/plain)
2016-03-04 10:38 EST, Jan Niklas Hasse
no flags Details
Backtraces using gdb (1.30 KB, application/x-xz)
2016-03-07 16:56 EST, Jan Niklas Hasse
no flags Details

  None (edit)
Description Jan Niklas Hasse 2016-03-04 10:38:58 EST
Created attachment 1133203 [details]
pstack of evolution-source-registry

Description of problem:
I have GNOME set up to sync my calendar with Google. Today I noticed that the evolution-source-registry seems to be stuck in an endless loop. It's eating 100% CPU time on one core.

Version-Release number of selected component (if applicable):
evolution 3.18.5.1

How reproducible:
I haven't killed it yet or rebooted, so I don't know how reproducible it is.

Steps to Reproduce:
1. Set up Google Account to sync calender
2. never actually use evolution for email
3. reboot a few times

Additional info:
I have attached the output of `pstack <pid>` and also saved the gcore on my computer (900 MB though).
Comment 1 Milan Crha 2016-03-07 07:03:28 EST
Thanks for a bug report. This sounds similar to an upstream bug [1]. The attached backtrace shows all threads idle, polling/waiting to do something. An application in this state might not cause any high CPU usage.

You can catch a set of backtraces when using this command:

for i in {1..10}; do \
gdb --batch --ex "t a a bt" -pid=`pidof evolution-source-registry` &>bt$i.txt; \
sleep 0.1; \
done

Eventually play with the sleep argument to set the best interval between the captures. Please check the bt?.txt for any private information, like passwords, email address, server addresses,... I usually search for "pass" at least (quotes for clarity only). Also make sure you'll have installed a debuginfo package for the evolution-data-server (it's enough to have installed that one, without dependencies), thus the backtrace will contain line numbers from the evolution-data-server itself.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=761450
Comment 2 Jan Niklas Hasse 2016-03-07 07:57:36 EST
Thanks! Unfortunately I couldn't reproduce this yet. When it happens again, I will get the backtraces and reopen this bug :)
Comment 3 Jan Niklas Hasse 2016-03-07 16:56 EST
Created attachment 1133918 [details]
Backtraces using gdb
Comment 4 Jan Niklas Hasse 2016-03-07 16:57:50 EST
Okay I've rebooted just now and it happened again. I've attached the txt files from your gdb loop.

There's now also a seconds process called "evolution-calender-factory-subprocess". Should I attach backtraces of this one, too?

Thanks in advance!
Comment 5 Milan Crha 2016-03-08 04:50:15 EST
Thanks for the update. All the backtraces are the same, in a poll calls, thus "waiting for orders". I do not know which 'top' or 'system monitor' tells you that the soruce registry is using the CPU extensively, but I'd rather expect the calendar factory being the cause here, specifically the subprocess for your calendar(s).

See the upstream bug I gave a link to in comment #1, there are some findings which I believe are related to you too. I tend to close this in a favour of this upstream bug report.
Comment 6 Fedora End Of Life 2016-11-24 10:55:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 14:15:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.